###  | #  |

Public Member Functions | List of all members
ViewsCompatibleConcept< V1, V2 > Struct Template Reference
Image View » Concepts

Views are compatible if they have the same color spaces and compatible channel values. More...

`#include <image_view.hpp>`

## Public Member Functions
void | constraints ()

## Detailed Description

template<typename V1, typename V2>
struct boost::gil::ViewsCompatibleConcept< V1, V2 >

Views are compatible if they have the same color spaces and compatible channel values.

Constness and layout are not important for compatibility.

concept ViewsCompatibleConcept<ImageViewConcept V1, ImageViewConcept V2>
{
where PixelsCompatibleConcept<V1::value_type, P2::value_type>;
};
boost::gil::ImageViewConcept
GIL's 2-dimensional view over immutable GIL pixels.
Definition: concepts/image_view.hpp:376
boost::gil::PixelsCompatibleConcept
Concept for pixel compatibility Pixels are compatible if their channels and color space types are com...
Definition: concepts/pixel.hpp:257
boost::gil::ViewsCompatibleConcept
Views are compatible if they have the same color spaces and compatible channel values.
Definition: concepts/image_view.hpp:540

The documentation for this struct was generated from the following file:

- concepts/image_view.hpp